#ifndef AtmoConfig
#define AtmoConfig

class CAtmoConfig {
    private:
       void WriteRegistryInt(char *path, char *valueName, int value); 
       void WriteRegistryString(char *path, char *valueName, char *value); 
       void WriteRegistryDouble(char *path, char *valueName, double value);

       int ReadRegistryInt(char *path, char *valueName, int default);
       char * ReadRegistryString(char *path, char *valueName, char *default); 
       double ReadRegistryDouble(char *path, char *valueName, double default); 

    public:
       // zwei Mglichkeiten alle Variablen Private und nur ber Methoden darauf zugreifen
       // wre zwar sauberer find ich - aber weniger performant wenn man bedenkt wie hufig
       // darauf zugegriffen wird - daher lieber alle Variablen Public lassen...?         
    public:
       CAtmoConfig();
       ~CAtmoConfig();
       void SaveToRegistry();
       void LoadFromRegistry();
}

#endif
